using System;
using BeWo.Report;
using BeWo.Report.ReportObjects;

namespace CaritasUnna
{
    public partial class InvoiceCustomerReport : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<InvoiceCustomerRO>
    {
        public InvoiceCustomerReport()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(InvoiceCustomerRO pRO)
        {
	        if (pRO.RecipientSalutationAddressField == "Herrn")
		        pRO.RecipientSalutationAddressField = "Herr";

			ortDatum.Text = string.Format("Unna, {0}", DateTime.Now.ToShortDateString());
            this.bindingSource1.DataSource = pRO;
        }
    }
}
